Skip to main content

EBT Purchase with a SNAP Voucher


This use case processes a PIN debit EBT purchase with a SNAP voucher. Set processingInformation.electronicBenefitsTransfer.category to FOOD and processingInformation.purchaseOptions.isElectronicBenefitsTransfer to true.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "ABCD123",    "partner": {      "thirdPartyCertificationNumber": "PTP1234"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "purchaseOptions": {      "isElectronicBenefitsTransfer": "true"    },    "electronicBenefitsTransfer": {      "category": "FOOD",      "voucherSerialNumber": "123451234512345"    },    "networkRoutingOrder": "K"  },  "paymentInformation": {    "card": {      "number": "4012xxxxxxxxxxxx",      "expirationMonth": "12",      "expirationYear": "25",      "useAs": "",      "sourceAccountType": "UA"    },    "paymentType": {      "name": "CARD",      "subTypeName": "DEBIT"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "103.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "entryMode": "keyed",    "terminalCapability": "4",    "trackData": "%B4xxxxxxxxxxx1111^JONES/JONES ^3112101976110000868000000?;4xxxxxxxxxxx1111=33121019761186800000?"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/6898886939816860704951/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6898886939816860704951"    }  },  "clientReferenceInformation": {    "code": "ABCD123"  },  "id": "6898886939816860704951",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "103.00",      "currency": "usd"    }  },  "processingInformation": {    "reconciliationId": "6898886939816860704951"  },  "processorInformation": {    "systemTraceAuditNumber": "110391",    "routing": {      "network": "0029"    },    "approvalCode": "831000",    "retrievalReferenceNumber": "123456199278",    "transactionId": "000000000000000",    "responseCode": "00"  },  "reconciliationId": "6898886939816860704951",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-07-03T12:02:34Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.sourceAccountTypeSet the value to UA.
paymentInformation.card.useAsLeave this field blank.
paymentInformation.paymentType.nameSet the value to CARD.
paymentInformation.paymentType.subTypeNameSet the value to DEBIT.
pointOfSaleInformation.entryModeSet the value to keyed.
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.
processingInformation.electronicBenefitsTransfer.categorySet the value to FOOD.
processingInformation.electronicBenefitsTransfer.voucherSerialNumber—
processingInformation.purchaseOptions.isElectronicBenefitsTransferSet the value to true.

Last published: September 29, 2026